Bug 14112 - Silence warnings t/Charset.t
Summary: Silence warnings t/Charset.t
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 8879
  Show dependency treegraph
 
Reported: 2015-05-01 19:48 UTC by M. Tompsett
Modified: 2016-12-05 21:22 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14112: Silence warnings in t/Charset.t (1.18 KB, patch)
2015-05-01 19:51 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14112: Silence warnings in t/Charset.t (1.23 KB, patch)
2015-05-10 08:22 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
Bug 14112: Silence warnings in t/Charset.t (1.23 KB, patch)
2015-05-10 08:23 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
Bug 14112 - Silence warnings in t/Charset.t (1.18 KB, patch)
2015-05-22 13:05 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14112 - Silence warnings in t/Charset.t (1.24 KB, patch)
2015-05-26 22:06 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 14112 - Silence warnings in t/Charset.t (1.30 KB, patch)
2015-05-27 08:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2015-05-01 19:48:47 UTC
Self-explanitory.
Comment 1 M. Tompsett 2015-05-01 19:51:37 UTC Comment hidden (obsolete)
Comment 2 Indranil Das Gupta 2015-05-10 08:22:02 UTC Comment hidden (obsolete)
Comment 3 Indranil Das Gupta 2015-05-10 08:23:04 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-05-22 09:47:47 UTC
I am not sure it's the right way to fix it, have a look at
http://perldoc.perl.org/perldiag.html#Character-following-%22\c%22-must-be-printable-ASCII
Comment 5 M. Tompsett 2015-05-22 13:05:00 UTC Comment hidden (obsolete)
Comment 6 Aleisha Amohia 2015-05-26 22:06:05 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2015-05-27 08:15:25 UTC
Created attachment 39570 [details] [review]
Bug 14112 - Silence warnings in t/Charset.t

After Jonathan said this was the wrong way to correct the issue,
www.utf8-chartable.de made it clear to me that the \c3\a9 were
missing x's.

TEST PLAN
---------
1) prove t/Charset.t
   -- noise
2) apply patch
3) prove t/Charset.t
   -- no noise
4) koha qa test tools

Signed-off-by: Aleisha <aleishaamohia@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 8 Tomás Cohen Arazi 2015-05-27 17:35:20 UTC
Patch pushed to master.

Thanks Mark!
Comment 9 Chris Cormack 2015-06-03 07:43:07 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 10 Liz Rea 2015-06-22 22:37:15 UTC
Patch pushed to 3.18.x will be in 3.18.08
Comment 11 Mason James 2015-07-25 09:47:09 UTC
Pushed to 3.16.x, will be in 3.16.13